<!DOCTYPE html>
<html>

<head>
    <title>Manage Courses</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="manageCourse.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src=" https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

</head>


<body onload="onPageLoading()">
    <div class="d-flex justify-content-between align-items-center title-wrap bg-info mb-3" style="height: 5rem;">

        <h1 class="text-light" style="line-height:5rem;margin-left: 70px; ">COURSE <b>MANAGEMENT</b>
        </h1>

        <button class="btn text-dark bg-light btn-create-course" style="margin-right: 77px;height: 2.5rem;"><i
                class="fa-solid fa-circle-plus"></i>&nbsp Add
            New
            Course</button>
    </div>

    <div class="container">
        <div class="overlay">
            <div class="spinner-border" role="status" style="width: 3rem; height: 3rem; z-index: 20;">
                <span class="sr-only">Loading...</span>
            </div>
        </div>

        <table id="table-course-list" class="table table-hover">

        </table>
    </div>
    <!--  MODAL CREATE & EDIT COURSE -->
    <div class="modal modal-create" tabindex="-1" id="modal-create-course">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-info">
                    <h2 class="modal-title text-light mr-3" style="margin:auto"><b>DETAIL COURSE INFO</b></h2>
                    <button type="button" class="close text-white btn-close" data-dismiss="modal" aria-label="Close">
                        <span class="text-white" aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row mb-3 row-course">
                            <div class="col-9">
                                <div class="form-group mb-2">
                                    <label for="input-create-course-code">Course Code<span class="text-danger">
                                            *</span></label>
                                    <input type="text" class="form-control" id="input-create-course-code">
                                    <div class="invalid-feedback"></div>
                                </div>
                                <div class="form-group mb-2">
                                    <label for="input-create-course-name">Course Name<span class="text-danger">
                                            *</span></label>
                                    <input type="text" class="form-control" id="input-create-course-name">
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-3 course-image-wrap">
                                <label id="label-course-image" for="input-course-image" class="border">
                                    <div class="choose-course-image">Choose course image</div>
                                    <input id="input-course-image" class="border custom-input-file" type="file"
                                        name="myImage" accept="image/png, image/gif, image/jpeg"
                                        onchange="chooseCourseImage(this)" />
                                    <img id="course-image" src="" alt="" style="display:none">
                                </label>
                                <div class="invalid-feedback-css" hidden></div>
                            </div>
                        </div>

                        <div class="row mb-1">
                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-3 mt-1" style="padding-right:0px">
                                        <label for="create-select-level">Level<span class="text-danger">
                                                *</span></label>
                                    </div>
                                    <div class="col-8">
                                        <select class="form-control" name="level" id="select-create-level">
                                            <option value="">Choose Level</option>
                                            <option value="Beginner">Beginner</option>
                                            <option value="Intermediate">Intermediate</option>
                                            <option value="Advanced">Advanced</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="invalid-feedback" id="level-invalid-feedback"></div>
                            </div>

                            <div class="col-6 form-group">

                                <div class="row">
                                    <div class="col-4 mt-1">
                                        <label for="input-create-duration">Duration <span
                                                class="text-danger">*</span></label>
                                    </div>
                                    <div class="col-8">
                                        <input type="duration" class="form-control" id="input-create-duration">
                                    </div>
                                </div>
                                <div class="invalid-feedback " id="duration-invalid-feedback"></div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-6 form-group">
                                <div class="row" id="price-wrap">
                                    <div class="col-3 mt-1">
                                        <label for="input-create-price">Price<span class="text-danger"> *</span></label>
                                    </div>
                                    <div class="col-8">
                                        <input type="number" class="form-control" id="input-create-price">
                                    </div>
                                </div>
                                <div class="invalid-feedback" id="price-invalid-feedback"></div>
                            </div>
                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5 mt-1" style="padding-right:0px">
                                        <label for="input-create-discount-price">Discount Price</label><span
                                            class="text-danger"> *</span>
                                    </div>
                                    <div class="col-7" style="padding:0px;margin-left:-16.8px">
                                        <input type="number" class="form-control" id="input-create-discount-price">
                                    </div>
                                </div>
                                <div class="invalid-feedback " id="discount-price-invalid-feedback"></div>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-6" id="question-wrap">
                                <fieldset class="question row mt-2" name="html-question-one">
                                    <div class="col-4">
                                        <b>Is Popular ? </b><span class="text-danger">*</span>
                                    </div>
                                    <ul class="answers-list col-8 text-left d-flex" id="popular-wrap">
                                        <li>
                                            <label for="popular-T" class="mr-3">
                                                <input type="radio" id="popular-T" name="popular" value="true" />
                                                True
                                            </label>
                                        </li>
                                        <li>
                                            <label for="popular-F">
                                                <input type="radio" id="popular-F" name="popular" value="false" />
                                                False
                                            </label>
                                        </li>
                                    </ul>

                                </fieldset>
                                <div class="invalid-feedback-css" hidden></div>
                            </div>
                            <div class="col-6" id="question-wrap">
                                <fieldset class="question row mt-2" name="html-question-one">
                                    <div class="col-5">
                                        <b>Is Trending ? </b><span class="text-danger">*</span>
                                    </div>
                                    <ul class="answers-list col-7 text-left d-flex ">
                                        <li>
                                            <label for="trending-T" class="mr-3">
                                                <input type="radio" id="trending-T" name="trending" value="true" />
                                                True
                                            </label>
                                        </li>
                                        <li>
                                            <label for="trending-F">
                                                <input type="radio" id="trending-F" name="trending" value="false" />
                                                False
                                            </label>
                                        </li>
                                    </ul>
                                </fieldset>
                                <div class="invalid-feedback-css" hidden></div>
                            </div>


                        </div>

                        <div class="row row-teacher">
                            <div class="col-9">
                                <div class="form-group mt-5">
                                    <label for="input-create-teacher-name">Teacher Name <span
                                            class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="input-create-teacher-name">
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-3 teacher-image-wrap mb-2">
                                <label id="label-teacher-image" for="input-teacher-image" class="border">
                                    <div class="choose-teacher-image" style="padding:3rem 1rem">
                                        Choose teacher image
                                    </div>
                                    <input id="input-teacher-image" class="border" type="file" name="myImage"
                                        accept="image/png, image/gif, image/jpeg" onchange="chooseTeacherImage(this)" />
                                    <img id="teacher-image" class="" src="" alt="">
                                </label>
                                <div class="invalid-feedback-css" hidden></div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class=" modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button id="btn-create" onclick="createNewCourse()" type="button"
                        class="btn btn-success">Create</button>
                    <button id="btn-edit" onclick="editCourse(this)" type="button" class="btn btn-success">Edit</button>
                </div>
            </div>

        </div>
    </div>
    <!-- CONFIRM DELETE ORDER  -->
    <div class="modal modal-delete" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header modal-header-css">
                    <h5 class="modal-title">
                        <i class="fa-regular fa-circle-xmark circle-mark-css text-danger"></i>
                    </h5>
                    <button type="button" class="close close-css" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body modal-body-css text-center">
                    <p>Are you sure you want to delete this course?</p>
                </div>
                <div class="modal-footer modal-footer-css d-flex justify-content-center">
                    <button id="btn-delete-cancel" type="button" class="btn btn-secondary"
                        data-dismiss="modal">Cancel</button>
                    <button id="btn-confirm" type="button" class="btn btn-danger">Delete</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="manageCourse.js"></script>

</html>